import sys
import loguru

default_format = "<blue>{time:MM-DD HH:mm:ss}</blue> <level>[{level: <8}]</level> <<cyan>{file}</cyan>:<cyan>{line}</cyan>> <level>{message}</level>"
default_debug_and_trace_format = "<green>{time:YYYY-MM-DD HH:mm:ss:SSS}</green> <level>[{level: <8}]</level> <<cyan>{name}.{file}</cyan>.<cyan>{function}</cyan>:<cyan>{line}</cyan>> <level>{message}</level>"

logger: "loguru.Logger" = loguru.logger
logger.remove()

def add(*args, **kwargs):
    """
    添加日志处理器
    """
    global logger
    return logger.add(*args, **kwargs)


def get_logger(level: str | int, format: str | None = None) -> "loguru.Logger":
    """
    获取日志记录器
    """
    global logger
    if format is None:
        if level in ["TRACE", "DEBUG"]:
            format = default_debug_and_trace_format
        else:
            format = default_format
    logger.add(sys.stdout, level=level, format=format)
    return logger